var looper;
var images = ["bavota.png", "nystrom.png", "langhhhhhhhhheeeeinrichhhhhh.png"];
var quotes = ["PIPISTRELLO","VATTELAPESCA","SAMPDORIA","DEPRECATO","QRM","JOOMLA","8086","ETHERNET","COLLISIONE","XEROX","DIGITAL","IBM",
"CHARAT","FIELDSET","TABINDEX","TD","HTML","FUNCTION","STYLE : TD","UNDERLINE","&lt;HEAD&gt;","&lt;BODY&gt;","PREAMBOLO","FISCHIO",
"CAVO COASSIALE","FIRST COME FIRST SERVED","BUSTA","STAZIONE","QUI QUO QUA","FIFO","255.255.255.0","ALICE","...NEL PAESE DELLE MERAVIGLIE",
"LEA DX 9","GETELEMENTBYID","FAI UN SALTO","ISO OSI","DISPATCHER","SCHEDULER","BOLLINO BLU","PACCHETTO","XHTML","&lt;b&gt; e &lt;i&gt;",
"CHIODI","QUESITO","OLIVETTI","REQUEST","TOKEN RING","INT 21H","IFRAME","GIOCHINO","BATTAGLIA NAVALE","MELA","SNAKE CON IL SERPENTE CHE NON SI ALLUNGA",
"SCHEDULER","STATO DI PRONTO","PHP","FORM ACTION="];

document.addEventListener("DOMContentLoaded", setup);

function setup() {
  changeImages();
  window.setInterval(changeImages, 15 * (360 / 5));
  changeQuotes(150, 10);
  document.getElementById("img1").removeAttribute("style");
  document.getElementById("img2").removeAttribute("style");
  document.getElementById("img3").removeAttribute("style");
}

var imageOffset = 0;
function changeImages() {
  for (var i = 1; i < 4; i++)
    document.getElementById("img" + i).src = images[(i+imageOffset) % 3];
  imageOffset++;
}

function changeQuotes(time, offset) {
  var quote = Math.floor(Math.random() * quotes.length);
  document.getElementById("quote").innerHTML =
    document.getElementById("title").innerHTML =
    quotes[quote];
  window.setTimeout(function() {
    changeQuotes(time, offset);
  }, offset + time * Math.sqrt(quotes[quote].length));
}

